Subject: Re: What's cooking in git.git (Jan 2025, #05; Fri, 17)

From: Taylor Blau <[email-masked]>
Date: Thu, 23 Jan 2025 18:05:24 -0500

On Wed, Jan 22, 2025 at 02:13:07PM -0800, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > On Tue, Jan 21, 2025 at 12:30:08PM -0800, Junio C Hamano wrote:
> >> Derrick Stolee <[email-masked]> writes:
> >>
> >> > On 1/17/25 7:42 PM, Junio C Hamano wrote:
> >> >
> >> >> * ds/name-hash-tweaks (2024-12-20) 8 commits
> >> ...
> >> I am happy with the updated function that gives us better of both
> >> worlds, without losing too much from the "renamed from other
> >> directory" while making sure we do not lose too many bits in deeper
> >> trees.
> >
> > I had a couple of thoughts that I meant to share before the holiday
> > break, and haven't quite had a chance to get to it now that I'm back at
> > my desk.
> >
> > Let me try and find some time to respond to the latest round of this
> > series, and apologies for holding it up in the meantime.
>
> The topic has been stalled for unusually long time, so it won't hurt
> too much for it to wait for a few more days, but it wouldn't be fair
> to stall a topic further with just a promise to "try and find time"
> forever.  Let's say we'll go ahead by this weekend unless we hear
> otherwise?

I agree, and I apologize for the delay. I prioritized this yesterday and
left some review which I think you have seen since sending this email.

> I am not ultra-happy with the last step, as I personally do not see
> this different algorithm as "version" (in that people would always
> want to use version N+1 over version N when both are available) but
> as "variant" (in that there may be prefer to use variant N over
> variant N+1 depending on the circumstances), but that may be just
> the matter of terminology.  What's important is to make sure we do
> not mix two algorhtims up while creating a packfile.

Yeah, I think "variant" is probably more accurate, but I don't mind the
naming. I think having a unique identifier is important, but I am not
convinced that we need to introduce v2 and v3 at the same time. I would
rather see us unify behind a single approach to present a
clearer/smaller set of options to users.

Thanks,
Taylor